precision lowp int; 
precision lowp float;

uniform sampler2D waterDiffuseMap;

uniform sampler2D waterNormalMapA;
uniform sampler2D waterNormalMapB;

varying mediump vec2 v_coord;
varying mediump vec2 v_coord_water1;
varying mediump vec2 v_coord_water2;

varying lowp vec3 worldnormal;
varying lowp vec4 vertexcolour;

uniform lowp vec3 lightDir;
uniform lowp vec4 lightColourScalar;
uniform lowp vec4 shadowColourScalar;

uniform float distort;

void main() 
{
    lowp vec3 fragColA = texture2D(waterNormalMapA, v_coord_water1.xy).xyz;
    lowp vec3 fragColB = texture2D(waterNormalMapB, v_coord_water2.xy).xyz;

    vec3 normal = ((fragColA + fragColB) * 0.5);

    mediump vec2 uvs = v_coord + (vec2( normal.x, normal.y) * distort);
    
    vec3 col = texture2D(waterDiffuseMap, uvs).xyz ;
        
    float l = clamp( dot(lightDir, normal), 0.0, 1.0); 

    col *= mix(shadowColourScalar.xyz, lightColourScalar.xyz, l);
    gl_FragColor = vec4(  col.r , col.g , col.b , 1.0 ) * vertexcolour;

}
