precision lowp int; 
precision highp float;

attribute mediump vec4 IN_position;
attribute lowp vec2 IN_uv;
attribute mediump vec4 IN_vertexcolour;

uniform mat4 worldmatrix;
uniform mat4 viewmatrix;
uniform mat4 projectionmatrix;


varying mediump vec2 v_coord;
varying mediump vec2 v_coord_water1;
varying mediump vec2 v_coord_water2;
varying lowp vec4 vertexcolour;


uniform mediump float angle;
uniform lowp float speed;
uniform lowp float scale;

uniform mediump vec4 colour;
uniform mediump float brightness;

uniform mediump vec3 diffuseScale;
uniform mediump vec3 normalScale;

uniform mediump vec3 uv_scroll0;
uniform mediump vec3 uv_scroll1;
uniform mediump vec3 uv_scroll2;


void main()
{

	v_coord = (IN_uv * diffuseScale.xy) + uv_scroll0.xy;
	v_coord_water1 = (IN_uv * normalScale.xy)+ uv_scroll1.xy;
	v_coord_water2 = (IN_uv * normalScale.xy)+ uv_scroll2.xy;


	vertexcolour= (IN_vertexcolour / 255.0) * (colour / 255.0) * brightness;
	gl_Position = (projectionmatrix * viewmatrix * worldmatrix  ) *  IN_position;
}

